OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
LeafBuffer< T, Log2Dim >::FileInfo Struct Reference

`#include <LeafBuffer.h>`

## Public Member Functions
| FileInfo ()

## Public Attributes
std::streamoff | bufpos
std::streamoff | maskpos
io::MappedFile::Ptr | mapping
SharedPtr< io::StreamMetadata > | meta

## Constructor & Destructor Documentation

## ◆ FileInfo()

FileInfo | ( |  | ) |
| inline

## Member Data Documentation

## ◆ bufpos

std::streamoff bufpos

## ◆ mapping

io::MappedFile::Ptr mapping

## ◆ maskpos

std::streamoff maskpos

## ◆ meta

SharedPtr<io::StreamMetadata> meta

The documentation for this struct was generated from the following file:

- LeafBuffer.h